%if 0%{?el7}
%define dist .el7
%endif

Name:           squidGuardRobot
Version:        2.3.6
Release:        4%{?dist}
Summary:        use to compile the contributed blacklists

Group:          Applications/Internet
License:        GPL
URL:            http://ftp.ost.eltele.no/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

#BuildRequires:	
Requires:       perl(LWP::Parallel::UserAgent)
Requires:       squidGuard

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
As of squidGuardRobot-2.3.6 the new robot seems functioning properly
and stable.


%prep
%setup -q -c
cd robot

pushd bin
for file in findkey list2url listdb rmkey squidGuardRobot
do
	sed -i -e 's|/local/bin/perl|%{__perl}|g' \
	-e 's| /local/bin/perl|%{__perl}|g' $file
done
sed -i -e 's|/var/spool/www/hosts/proxy.teledanmark.no/filter/robot|%{_var}/squidGuard/robot|g;' squidGuardRobot
popd

%build


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/%{perl_vendorlib}
mkdir -p $RPM_BUILD_ROOT%{_var}/squidGuard/robot/etc

cd robot
cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT/%{perl_vendorlib}
touch $RPM_BUILD_ROOT%{_var}/squidGuard/robot/etc/{source,candidate,link,domainexception,urlexception,exception,include,redirector,patterns,domain,url,domains,urls}

%files
%doc robot/{CHANGELOG,README}
%{!?_licensedir:%global license %%doc}
%license robot/{COPYING,GPL}
%{_bindir}/*
%{perl_vendorlib}/*
%{_var}/squidGuard/robot/etc/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.3.6-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.3.6-3
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 2.3.6-2
- Rebuilt for fc22

* Wed Jan  8 2014 momo-i <webmaster@momo-i.org> - 2.3.6-1
- Initial rpm release.
